%{?nodejs_find_provides_and_requires}
%global enable_tests 1
Name:                nodejs-shelljs
Version:             0.7.3
Release:             3
Summary:             Portable Unix shell commands for Node.js
License:             BSD-3-Clause and MIT
URL:                 http://github.com/arturadib/shelljs
Source0:             http://github.com/arturadib/shelljs/archive/v%{version}.tar.gz
Patch0:              nodejs-shelljs_fix-tests.patch
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       coffee-script npm(glob)
%endif
%description
%{summary}.

%prep
%autosetup -n shelljs-%{version} -p1
rm test/exec.js
sed -i '1s/env //' bin/shjs
%nodejs_fixdep glob

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/shelljs
cp -pr package.json global.js make.js shell.js src/ \
    %{buildroot}%{nodejs_sitelib}/shelljs
mkdir -p %{buildroot}%{nodejs_sitelib}/shelljs/bin
install -p -m0755 bin/shjs \
    %{buildroot}%{nodejs_sitelib}/shelljs/bin
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/shelljs/bin/shjs \
    %{buildroot}%{_bindir}/shjs
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

%if 0%{?enable_tests}
%__nodejs scripts/run-tests
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%license LICENSE
%doc README.md MAINTAINERS
%{nodejs_sitelib}/shelljs
%{_bindir}/shjs

%changelog
* Tue May 10 2022 liyanan <liyanan32@h-partners.com> - 0.7.3-3
- License compliance rectification

* Web 09 Jun 2021 zhaoyao<zhaoyao32@huawei.com> - 0.7.3-2
- %prep no longer patched with git 

* Fri Aug 21 2020 wangyue <wangyue92@huawei.com> - 0.7.3-1
- package init
